package J20250805.demo02;

/**
 * @author WanJl
 * @version 1.0
 * @title Season
 * @description
 * @create 2025/8/5
 */
public enum Season {
    //定义枚举项
    SPRING("春天"){
        @Override
        public void show() {
            System.out.println("春天.....");
        }
    },SUMMER("夏天"){
        @Override
        public void show() {

        }
    },AUTUMN("秋天"){
        @Override
        public void show() {

        }
    },WINTER("冬天"){
        @Override
        public void show() {

        }
    };
    //可以将枚举项理解为是枚举类的一种对象。每个枚举项都是属于这个枚举类的。
    //枚举类的成员变量
    private String name;
    //枚举类的构造方法
    Season(String name) {
        this.name = name;
    }
    //枚举类的普通方法
    public void method(){
        System.out.println("helloWorld enum");
    }
    //枚举类的抽象方法  --枚举类的抽象方法必须由当前枚举类的枚举项进行重写。
    public abstract void show();

}
